package xyz.wbsite.frame.base;


import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

public class VisitorEntity implements Serializable {

    /**
     * APP_NAME - 应用名称
     */
    private String appName;
    /**
     * APP_NOTE - 应用简介
     */
    private String appNote;
    /**
     * APP_KEY - 应用码
     */
    private String appKey;
    /**
     * APP_SECRET - 安全码
     */
    private String appSecret;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppNote() {
        return appNote;
    }

    public void setAppNote(String appNote) {
        this.appNote = appNote;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    private Set<String> resSet = new HashSet<>();

    public Set<String> getResSet() {
        return resSet;
    }

    public void setResSet(Set<String> resSet) {
        this.resSet = resSet;
    }

    public void putRes(String resource) {
        resSet.add(resource);
    }

    public void putRes(Set<String> resourceSet) {
        this.resSet.addAll(resourceSet);
    }
}
